Skip to main content

Validate

Endpoint​

POST /api/v1/pipelines/:org/:repo/:pipeline/validate

Parameters​

The following parameters are used to configure the endpoint:

NameDescription
orgname of organization
reponame of repository
pipelinecommit SHA for pipeline from repository
outputformat the output for the compiled pipeline configuration

Permissions​

COMING SOON!

Responses​

Status CodeDescription
200indicates the request has succeeded
400unable to retrieve or validate the pipeline configuration and templates
401indicates the user does not have proper permissions
404unable to retrieve or validate the pipeline configuration or templates
500system error while retrieving or validating the pipeline configuration templates

Sample​

warning

This section assumes you already know how to authenticate to the API.

To authenticate to the API, please review the authentication documentation.

Request​

curl \
-X POST \
-H "Authorization: Bearer <token>" \
"http://127.0.0.1:8080/api/v1/pipelines/github/octocat/48afb5bdc41ad69bf22588491333f7cf71135163/validate"

Response​

"pipeline is valid"